跳转到主要内容
POST
/
base
/
{baseId}
/
authority-matrix-role
cURL
curl --request POST \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string","description":"string","enabled":true,"tables":[{"tableId":"string","disabledActions":["string"],"fieldRecordPermission":[{"fieldId":"string","disabledActions":["string"]}],"recordFilter":{},"enabledViewIds":["string"],"enabled":true}],"nodes":[{"nodeType":"workflow","nodeId":"string","enabled":true}]}'
const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","description":"string","enabled":true,"tables":[{"tableId":"string","disabledActions":["string"],"fieldRecordPermission":[{"fieldId":"string","disabledActions":["string"]}],"recordFilter":{},"enabledViewIds":["string"],"enabled":true}],"nodes":[{"nodeType":"workflow","nodeId":"string","enabled":true}]}'
};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/authority-matrix-role',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.write(JSON.stringify({
name: 'string',
description: 'string',
enabled: true,
tables: [
{
tableId: 'string',
disabledActions: ['string'],
fieldRecordPermission: [{fieldId: 'string', disabledActions: ['string']}],
recordFilter: {},
enabledViewIds: ['string'],
enabled: true
}
],
nodes: [{nodeType: 'workflow', nodeId: 'string', enabled: true}]
}));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "{\"name\":\"string\",\"description\":\"string\",\"enabled\":true,\"tables\":[{\"tableId\":\"string\",\"disabledActions\":[\"string\"],\"fieldRecordPermission\":[{\"fieldId\":\"string\",\"disabledActions\":[\"string\"]}],\"recordFilter\":{},\"enabledViewIds\":[\"string\"],\"enabled\":true}],\"nodes\":[{\"nodeType\":\"workflow\",\"nodeId\":\"string\",\"enabled\":true}]}"

headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}

conn.request("POST", "/api/base/%7BbaseId%7D/authority-matrix-role", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))


{
  "id": "<string>",
  "name": "<string>",
  "baseId": "<string>",
  "createdTime": "<string>",
  "tables": [
    {
      "authorityMatrixRoleId": "<string>",
      "tableId": "<string>",
      "createdTime": "<string>",
      "disabledActions": [
        "<string>"
      ],
      "enabledViewIds": [
        "<string>"
      ],
      "fieldRecordPermission": [
        {
          "fieldId": "<string>",
          "disabledActions": [
            "<string>"
          ]
        }
      ],
      "recordFilter": {},
      "enabledTime": "<string>"
    }
  ],
  "description": "<string>",
  "enabledTime": "<string>",
  "nodes": [
    {
      "authorityMatrixRoleId": "<string>",
      "nodeId": "<string>",
      "id": "<string>",
      "enabledTime": "<string>",
      "createdTime": "<string>"
    }
  ]
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填

请求体

application/json
name
string
必填
description
string
enabled
boolean
tables
object[]
nodes
object[]

响应

200 - application/json

Successful response

id
string
必填
name
string
必填
baseId
string
必填
createdTime
string
必填
tables
object[]
必填
description
string
enabledTime
string
nodes
object[]
最后修改于 2026年3月5日